<?php
include 'db.php'; // Include the database connection file

if (isset($_GET['mobile'])) {
    $mobile = $_GET['mobile'];
    
    // Check if the mobile number exists in the user table
    $stmt = $conn->prepare("SELECT COUNT(*) FROM user WHERE u_phone = ?");
    $stmt->bind_param("s", $mobile);
    $stmt->execute();
    $stmt->bind_result($count);
    $stmt->fetch();
    $stmt->close();

    echo json_encode(['exists' => $count > 0]);
} else {
    echo json_encode(['exists' => false]);
}
?>
