<?php
session_start();
include 'db.php';

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo json_encode(['status' => 'error', 'message' => 'You are not logged in.']);
    exit;
}

// Get the new user ID from the AJAX request
if (isset($_POST['switch_user_id'])) {
    $newUserId = intval($_POST['switch_user_id']);
    $_SESSION['user_id'] = $newUserId;
    echo json_encode(['status' => 'success', 'message' => 'User switched successfully.']);
    exit;
}

echo json_encode(['status' => 'error', 'message' => 'Invalid request.']);
