<!-- app footer -->
<div class="appFooter">
    <div class="footer-title">
        Copyright © Balaji Engo 2024. All Rights Reserved.
    </div>
</div>
<!-- * app footer -->

</div>
<!-- * App Capsule -->


<!-- App Bottom Menu -->
<div class="appBottomMenu">
    <a href="index.php" class="item active">
        <div class="col">
            <ion-icon name="pie-chart-outline"></ion-icon>
            <strong>Overview</strong>
        </div>
    </a>
    <a href="" class="item">
        <div class="col">
            <ion-icon name="document-text-outline"></ion-icon>
            <strong>Pages</strong>
        </div>
    </a>
    <a href="index.php" class="item">
        <div class="col">
            <ion-icon name="apps-outline"></ion-icon>
            <strong>Dashboard</strong>
        </div>
    </a>
    <a href="wallet.php" class="item">
        <div class="col">
            <ion-icon name="card-outline"></ion-icon>
            <strong>Wallet</strong>
        </div>
    </a>
    <a href="view-profile.php" class="item">
        <div class="col">
            <ion-icon name="settings-outline"></ion-icon>
            <strong>Settings</strong>
        </div>
    </a>
</div>
<!-- * App Bottom Menu -->

<?php
// Include the database connection
include('db.php');

// Assuming user ID is stored in the session or hardcoded as 120 for now
// session_start();
$user_id = isset($_SESSION['user_id']) ? $_SESSION['user_id'] : 120;

// Fetch user data from MLM_users
$sql_user = "SELECT name, my_number FROM MLM_users WHERE id = $user_id";
$result_user = $conn->query($sql_user);

if ($result_user->num_rows > 0) {
    $user = $result_user->fetch_assoc();
    $user_name = $user['name'];
    $my_number = $user['my_number'];
} else {
    echo "User not found!";
    exit;
}

// Fetch transactions for the user
$sql_transactions = "SELECT wallet_type, amount FROM wallet_transactions WHERE user_id = $user_id";
$result_transactions = $conn->query($sql_transactions);

$total_add = 0;
$total_withdrawal = 0;

if ($result_transactions->num_rows > 0) {
    while ($transaction = $result_transactions->fetch_assoc()) {
        if ($transaction['wallet_type'] == 'add') {
            $total_add += $transaction['amount'];
        } elseif ($transaction['wallet_type'] == 'withdrawal') {
            $total_withdrawal += $transaction['amount'];
        }
    }
}

// Calculate total balance
$total_balance = $total_add - $total_withdrawal;


?>

<!-- App Sidebar -->
<div class="modal fade panelbox panelbox-left" id="sidebarPanel" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body p-0">
                <!-- profile box -->
                <div class="profileBox pt-2 pb-2">
                    <div class="image-wrapper">
                        <img src="assets/img/logo.png" alt="image" class="imaged w36">
                    </div>
                    <div class="in">
                        <strong><?php echo $user_name; ?></strong>
                        <div class="text-muted"><?php echo $my_number; ?></div> <!-- Display user's my_number -->
                    </div>
                    <a href="#" class="btn btn-link btn-icon sidebar-close" data-bs-dismiss="modal">
                        <ion-icon name="close-outline"></ion-icon>
                    </a>
                </div>
                <!-- * profile box -->

                <!-- balance -->
                <div class="sidebar-balance">
                    <div class="listview-title">Total Balance</div>
                    <div class="in">
                        <h1 class="amount">$ <?php echo number_format($total_balance, 2); ?></h1> <!-- Show total balance -->
                    </div>
                </div>
                <!-- * balance -->

                <!-- menu -->
                <div class="listview-title mt-1">Menu</div>
                <ul class="listview flush transparent no-line image-listview">
                    <li>
                        <a href="index.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="apps-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Dashboard
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="reference-by.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="code-working-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Reference By
                                <span class="badge badge-primary">10</span>
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="transactions.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="cash-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Transaction
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="wallet.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="wallet-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Wallet
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="withdrawals_req.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="cash-outline"></ion-icon>
                            </div>
                            <div class="in">
                                Withdrawal Requests
                            </div>
                        </a>
                    </li>
                    <li>
                        <a href="view-profile.php" class="item">
                            <div class="icon-box bg-primary">
                                <ion-icon name="person-outline"></ion-icon>
                            </div>
                            <div class="in">
                                View Profile
                            </div>
                        </a>
                    </li>
                </ul>
                <!-- * menu -->

            </div> <!-- Close modal-body -->
        </div> <!-- Close modal-content -->
    </div> <!-- Close modal-dialog -->
</div> <!-- Close modal fade -->
<!-- * App Sidebar -->






<!-- Android Add to Home Action Sheet -->
<div class="modal inset fade action-sheet android-add-to-home" id="android-add-to-home-screen" tabindex="-1"
    role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Add to Home Screen</h5>
                <a href="#" class="close-button" data-bs-dismiss="modal">
                    <ion-icon name="close"></ion-icon>
                </a>
            </div>
            <div class="modal-body">
                <div class="action-sheet-content text-center">
                    <div class="mb-1">
                        <img src="assets/img/icon/192x192.png" alt="image" class="imaged w64 mb-2">
                    </div>
                    <div>
                        Install <strong>Finapp</strong> on your Android's home screen.
                    </div>
                    <div>
                        Tap <ion-icon name="ellipsis-vertical"></ion-icon> and Add to homescreen.
                    </div>
                    <div class="mt-2">
                        <button class="btn btn-primary btn-block" data-bs-dismiss="modal">CLOSE</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- * Android Add to Home Action Sheet -->



<!-- ========= JS Files =========  -->
<!-- Bootstrap -->
<script src="assets/js/lib/bootstrap.bundle.min.js"></script>
<!-- Ionicons -->
<script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
<!-- Splide -->
<script src="assets/js/plugins/splide/splide.min.js"></script>
<!-- Base Js File -->
<script src="assets/js/base.js"></script>

<script>
    // Add to Home with 2 seconds delay.
    AddtoHome("2000", "once");
</script>

</body>

</html>